package com.inca.npbusi.sales.bms_trasin;

import com.inca.np.demo.communicate.RemotesqlHelper;
import com.inca.np.gui.control.CMultiHov;
import com.inca.np.gui.control.DBColumnDisplayInfo;
import com.inca.np.gui.control.DBTableModel;
import com.inca.np.gui.ste.Querycond;
import com.inca.np.gui.ste.Querycondline;
import com.inca.pubsrv.hov.pub_company_hov.Multi_pub_company_hov;
import java.awt.Frame;
import java.util.Vector;
import javax.swing.table.TableModel;

public class bms_tracksing_hov extends CMultiHov {

   protected TableModel createTablemodel() {
      Vector var1 = new Vector();
      DBColumnDisplayInfo var2;
      (var2 = new DBColumnDisplayInfo("salesid", "number", "销售发货总单ID", true)).setIspk(true);
      var1.add(var2);
      (var2 = new DBColumnDisplayInfo("salesdtlid", "number", "销售发货细单ID", true)).setIspk(true);
      var1.add(var2);
      (var2 = new DBColumnDisplayInfo("customid", "number", "客户ID", true)).setIspk(true);
      var1.add(var2);
      var2 = new DBColumnDisplayInfo("customname", "varchar", "客户名称", false);
      var1.add(var2);
      (var2 = new DBColumnDisplayInfo("salerid", "number", "业务员ID", false)).setIspk(true);
      var1.add(var2);
      (var2 = new DBColumnDisplayInfo("salername", "varchar", "业务员姓名", false)).setUppercase(true);
      var1.add(var2);
      (var2 = new DBColumnDisplayInfo("inputmanid", "number", "录入人ID", false)).setUppercase(true);
      var1.add(var2);
      (var2 = new DBColumnDisplayInfo("inputmanname", "varchar", "录入人姓名", false)).setUppercase(true);
      var1.add(var2);
      (var2 = new DBColumnDisplayInfo("lotid", "number", "批号ID", false)).setUppercase(true);
      var1.add(var2);
      var2 = new DBColumnDisplayInfo("lotno", "varchar", "批号", false);
      var1.add(var2);
      var2 = new DBColumnDisplayInfo("sequencecode", "varchar", "序列号", false);
      var1.add(var2);
      var2 = new DBColumnDisplayInfo("goodsqty", "number", "数量", true);
      var1.add(var2);
      var2 = new DBColumnDisplayInfo("goodsid", "number", "货品ID", true);
      var1.add(var2);
      (var2 = new DBColumnDisplayInfo("goodsno", "varchar", "货品编码", false)).setUppercase(true);
      var1.add(var2);
      var2 = new DBColumnDisplayInfo("goodsname", "varchar", "货品名", false);
      var1.add(var2);
      (var2 = new DBColumnDisplayInfo("registdocno", "varchar", "注册证号", true)).setNumberscale(4);
      var1.add(var2);
      var2 = new DBColumnDisplayInfo("factoryname", "varchar", "生产厂家", true);
      var1.add(var2);
      var2 = new DBColumnDisplayInfo("credate", "date", "业务时间", true);
      var1.add(var2);
      var2 = new DBColumnDisplayInfo("entryid", "number", "独立单元ID", true);
      var1.add(var2);
      (var2 = new DBColumnDisplayInfo("sourcetype", "number", "类型", true)).setEditcomptype("combobox");
      var2.setSystemddl("BMS_ST_COMEFROM");
      var1.add(var2);
      return new DBTableModel(var1);
   }

   public String getDefaultsql() {
      return "select * from bms_track_single_hov_v ";
   }

   public Querycond getQuerycond() {
      Querycond var1 = new Querycond();
      DBColumnDisplayInfo var2 = new DBColumnDisplayInfo("salesdtlid", "number", "销售发货细单ID", false);
      var1.add(new Querycondline(var1, var2));
      (var2 = new DBColumnDisplayInfo("goodsid", "number", "货品ID", false)).setIspk(true);
      var1.add(new Querycondline(var1, var2));
      (var2 = new DBColumnDisplayInfo("sequencecode", "vachar", "序列号", false)).setIspk(true);
      var1.add(new Querycondline(var1, var2));
      (var2 = new DBColumnDisplayInfo("sourcetype", "number", "类型", false)).setEditcomptype("combobox");
      RemotesqlHelper var3 = new RemotesqlHelper();
      String var4 = "select * from sys_ddl v ,sys_ddl_dtl d where v.sysid=d.sysid and v.keyword=\'BMS_ST_COMEFROM\'";
      DBTableModel var5 = new DBTableModel();

      try {
         var5 = var3.doSelect(var4, 0, 9999);
      } catch (Exception var6) {
         var6.printStackTrace();
      }

      for(int var7 = 0; var7 < var5.getRowCount(); ++var7) {
         var2.addComboxBoxItem(var5.getItemValue(var7, "ddlid"), var5.getItemValue(var7, "ddlname"));
      }

      var1.add(new Querycondline(var1, var2));
      return var1;
   }

   public String[] getColumns() {
      return new String[]{"tracksingleid", "businessdate", "salesdtlid", "customid", "customno", "customname", "salerid", "salername", "inputmanid", "inputmanname", "lotid", "lotno", "goodsid", "credate", "goodsno", "currencyname", "registdocno", "factoryname", "goodsqty", "entryid", "sequencecode", "sourcetype"};
   }

   public String getDesc() {
      return "选择植入介入单";
   }

   public static void main(String[] var0) {
      (new Multi_pub_company_hov()).showDialog((Frame)null, "选择相关单位");
   }

   protected boolean autoReturn() {
      return false;
   }
}
